%%-----DOCUMENT
\documentclass[a4paper]{article}
\usepackage[english]{babel}
\usepackage[T1]{fontenc}
\usepackage[a4paper, top=0.75cm, bottom=0.75cm, left=2cm, right=2cm]{geometry}
\usepackage{listings}
\usepackage{inconsolata}
\pagenumbering{gobble}
\lstset{frame=single, showstringspaces=false, columns=fixed, basicstyle={\ttfamily}, commentstyle={\it}, numbers=left, tabsize=4}
\begin{document}
                        $DOCUMENT CONTENTS HERE$
\end{document}
%%-----DOCUMENT

%%-----FILENAME
\lstset{title=Contents of \texttt{$FILENAME HERE$}}
%%-----FILENAME

%%-----PAGEBREAK
\end{lstlisting}
\newpage
\begin{lstlisting}[firstnumber=last]
%%-----PAGEBREAK

%%-----MOREKW
\lstset{morekeywords={$EXTRA KEYWORDS HERE$}}
%%-----MOREKW

%%-----MAKEFILE
\lstset{language={[gnu]make}}
\begin{lstlisting}
                        $FILE CONTENTS HERE$
\end{lstlisting}
%%-----MAKEFILE

%%-----README
\lstset{
  language=,
  morekeywords={NAME, SYNOPSIS, DESCRIPTION, NOTES, EXAMPLES, AUTHOR, COPYRIGHT},
  moredelim=[is][\it]{<|}{|>},
  moredelim=[is][\bf]{<:}{:>}
}
\begin{lstlisting}
                        $FILE CONTENTS HERE$
\end{lstlisting}
%%-----README

%%-----C
\lstset{language={[ANSI]C}}
\begin{lstlisting}
                        $FILE CONTENTS HERE$
\end{lstlisting}
%%-----C
